Tokenizer Class Reference

Simple utility class to split a string into tokens. More...

`#include <Tokenizer.h>`

## Public Member Functions

| Tokenizer (const std::string &s, const std::string &d)
| Constructor.
std::string | nextToken ()
| Return the next token.
int | hasMoreTokens ()
| Indicate whether there are any tokens remaining.

## Detailed Description

Simple utility class to split a string into tokens.

## Constructor & Destructor Documentation

## Tokenizer()

Tokenizer::Tokenizer | ( | const std::string & | s,
|  | const std::string & | d )

inline

Constructor.

Parameters

  s | string to be split
  d | delimitter

The documentation for this class was generated from the following file:

- Tokenizer.h